/* header file for autoage_base.c */

#ifndef __AUTOAGE_BASE__
#define __AUTOAGE_BASE__



/* Utility */

void AutoAge_Error (const char *msg);

void AutoAge_Warning (const char *msg);



/* Floating Point Operation */

extern double AutoAGE_eps;

int /* boolean */ 
AutoAGE_eq (double value0, double value1); 

int /* boolean */ 
AutoAGE_ne (double value0, double value1);

int /* boolean */ 
AutoAGE_ge (double value0, double value1);

int /* boolean */ 
AutoAGE_le (double value0, double value1);

int /* boolean */  
AutoAGE_gt (double value0, double value1);

int /* boolean */  
AutoAGE_lt (double value0, double value1);

int /* boolean */ 
AutoAGE_between (double value, double value0, double value1);

int /* boolean */ 
AutoAGE_justBetween (double value, double value0, double value1);

int /* boolean */ 
AutoAGE_eq2 (double value0, double value1); 

int /* boolean */ 
AutoAGE_ne2 (double value0, double value1);

int /* boolean */ 
AutoAGE_ge2 (double value0, double value1);

int /* boolean */ 
AutoAGE_le2 (double value0, double value1);

int /* boolean */ 
AutoAGE_gt2 (double value0, double value1);

int /* boolean */ 
AutoAGE_lt2 (double value0, double value1);

int /* boolean */ 
AutoAGE_between2 (double value, double value0, double value1);

int /* boolean */ 
AutoAGE_justBetween2 (double value, double value0, double value1);

double AutoAGE_min (double value0, double value1); 

double AutoAGE_max (double value0, double value1); 

double AutoAGE_interpolate (double value0, double value1, double ratio); 

double AutoAGE_rangedValue (double value, double value0, double value1); 



#endif  /* __AUTOAGE_BASE__ */






